NonBlockingCoordinator.CoordinationEvent (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.group.interceptors, class: NonBlockingCoordinator, class: CoordinationEvent

# Class NonBlockingCoordinator.CoordinationEvent

java.lang.Object
org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator.CoordinationEvent

All Implemented Interfaces:
  `ChannelInterceptor.InterceptorEvent`

Enclosing class:
  `NonBlockingCoordinator`

public static class NonBlockingCoordinator.CoordinationEvent extends Object implements ChannelInterceptor.InterceptorEvent
Represents a coordination event in the election protocol.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EVT_CONF_RX`
  Event for confirmation received.
  `static final int`
  `EVT_ELECT_ABANDONED`
  Event for election abandoned.
  `static final int`
  `EVT_MBR_ADD`
  Event for member add.
  `static final int`
  `EVT_MBR_DEL`
  Event for member delete.
  `static final int`
  `EVT_MSG_ARRIVE`
  Event for message arrival.
  `static final int`
  `EVT_POST_MERGE`
  Event for post-merge.
  `static final int`
  `EVT_PRE_MERGE`
  Event for pre-merge.
  `static final int`
  `EVT_PROCESS_ELECT`
  Event for election processing.
  `static final int`
  `EVT_SEND_MSG`
  Event for sending message.
  `static final int`
  `EVT_START`
  Event for coordinator start.
  `static final int`
  `EVT_START_ELECT`
  Event for election start.
  `static final int`
  `EVT_STOP`
  Event for coordinator stop.
  `static final int`
  `EVT_WAIT_FOR_MSG`
  Event for waiting for message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoordinationEvent(int type, ChannelInterceptor interceptor, String info)`
  Constructs a CoordinationEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEventType()`
  Returns the event type.
  `String`
  `getEventTypeDesc()`
  Returns the event type description.
  `ChannelInterceptor`
  `getInterceptor()`
  Returns the interceptor that fired the event.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EVT_START

    public static final int EVT_START
    Event for coordinator start.
    See Also:
      - Constant Field Values

  - ### EVT_MBR_ADD

    public static final int EVT_MBR_ADD
    Event for member add.
    See Also:
      - Constant Field Values

  - ### EVT_MBR_DEL

    public static final int EVT_MBR_DEL
    Event for member delete.
    See Also:
      - Constant Field Values

  - ### EVT_START_ELECT

    public static final int EVT_START_ELECT
    Event for election start.
    See Also:
      - Constant Field Values

  - ### EVT_PROCESS_ELECT

    public static final int EVT_PROCESS_ELECT
    Event for election processing.
    See Also:
      - Constant Field Values

  - ### EVT_MSG_ARRIVE

    public static final int EVT_MSG_ARRIVE
    Event for message arrival.
    See Also:
      - Constant Field Values

  - ### EVT_PRE_MERGE

    public static final int EVT_PRE_MERGE
    Event for pre-merge.
    See Also:
      - Constant Field Values

  - ### EVT_POST_MERGE

    public static final int EVT_POST_MERGE
    Event for post-merge.
    See Also:
      - Constant Field Values

  - ### EVT_WAIT_FOR_MSG

    public static final int EVT_WAIT_FOR_MSG
    Event for waiting for message.
    See Also:
      - Constant Field Values

  - ### EVT_SEND_MSG

    public static final int EVT_SEND_MSG
    Event for sending message.
    See Also:
      - Constant Field Values

  - ### EVT_STOP

    public static final int EVT_STOP
    Event for coordinator stop.
    See Also:
      - Constant Field Values

  - ### EVT_CONF_RX

    public static final int EVT_CONF_RX
    Event for confirmation received.
    See Also:
      - Constant Field Values

  - ### EVT_ELECT_ABANDONED

    public static final int EVT_ELECT_ABANDONED
    Event for election abandoned.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CoordinationEvent

    public CoordinationEvent(int type, ChannelInterceptor interceptor, String info)
    Constructs a CoordinationEvent.
    Parameters:
      `type` - The event type
      `interceptor` - The channel interceptor
      `info` - Additional information about the event

- ## Method Details

  - ### getEventType

    public int getEventType()
    Description copied from interface: `ChannelInterceptor.InterceptorEvent`
    Returns the event type.
    Specified by:
      `getEventType` in interface `ChannelInterceptor.InterceptorEvent`
    Returns:
      the event type

  - ### getEventTypeDesc

    public String getEventTypeDesc()
    Description copied from interface: `ChannelInterceptor.InterceptorEvent`
    Returns the event type description.
    Specified by:
      `getEventTypeDesc` in interface `ChannelInterceptor.InterceptorEvent`
    Returns:
      the event type description

  - ### getInterceptor

    public ChannelInterceptor getInterceptor()
    Description copied from interface: `ChannelInterceptor.InterceptorEvent`
    Returns the interceptor that fired the event.
    Specified by:
      `getInterceptor` in interface `ChannelInterceptor.InterceptorEvent`
    Returns:
      the interceptor

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`